# Template file for 'qt-qtconfig'.
#
short_desc="Qt configuration tool"
long_desc="${long_desc}

 The Qt Configuration program allows end users to configure the look
 and behavior of any Qt application."

gtk_iconcache_dirs="/usr/share/icons/hicolor"

Add_dependency run glibc
Add_dependency run libstdc++
Add_dependency run libgcc
Add_dependency run gstreamer
Add_dependency run glib
Add_dependency run libxml2
Add_dependency run gst-plugins-base
Add_dependency run libXrender
Add_dependency run fontconfig
Add_dependency run freetype
Add_dependency run libXext
Add_dependency run libX11
Add_dependency run hicolor-icon-theme
Add_dependency run qt-plugin-gstreamer
Add_dependency run qt

do_install()
{
	mkdir -p ${DESTDIR}/usr/bin \
		${DESTDIR}/usr/share/pixmaps \
		${DESTDIR}/usr/share/applications \
		${DESTDIR}/usr/share/qt/translations

	mv ${SRCPKGDESTDIR}/usr/bin/qtconfig \
		${DESTDIR}/usr/bin || return 1
	mv ${SRCPKGDESTDIR}/usr/share/applications/qtconfig.desktop \
		${DESTDIR}/usr/share/applications || return 1
	mv ${SRCPKGDESTDIR}/usr/share/pixmaps/qtlogo.png \
		${DESTDIR}/usr/share/pixmaps || return 1
	mv ${SRCPKGDESTDIR}/usr/share/qt/translations/qtconfig* \
		${DESTDIR}/usr/share/qt/translations
}
